package ch.unige.aou.repository;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.controller.AdminController;
import ch.unige.aou.model.notification.EventType;

@Repository
@ConditionalOnBean(AdminController.class)
public interface EventTypeRepository extends SolidifyRepository<EventType> {
}
