package ch.unige.aou.repository;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.controller.AdminController;
import ch.unige.aou.model.settings.LabeledLanguage;

@Repository
@SuppressWarnings("squid:S1214")
@ConditionalOnBean(AdminController.class)
public interface LabeledLanguageRepository extends SolidifyRepository<LabeledLanguage> {

  // *************
  // ** Queries **
  // *************

  LabeledLanguage findByCode(String code);

}
