package ch.unige.aou.repository;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.JoinRepository;

import ch.unige.aou.controller.AdminController;
import ch.unige.aou.model.publication.PublicationStructure;

@Repository
@ConditionalOnBean(AdminController.class)
public interface PublicationStructureRepository extends JoinRepository<PublicationStructure> {

}
