package ch.unige.aou.service.metadata;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Service;

import ch.unige.solidify.service.MessageService;

import ch.unige.aou.controller.AdminController;

@Service
@ConditionalOnBean(AdminController.class)
public class MetadataComparatorV1 extends MetadataDifferencesService {

  public MetadataComparatorV1(MetadataExtractorV1 metadataExtractor, MessageService messageService) {
    super(metadataExtractor, messageService);
  }
}
