package ch.unige.aou.test;

import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.Mock;
import org.springframework.context.annotation.Profile;
import org.springframework.test.context.junit.jupiter.SpringExtension;

import ch.unige.solidify.service.MessageService;

import ch.unige.aou.business.PublicationSubSubtypeService;
import ch.unige.aou.business.PublicationSubtypeService;
import ch.unige.aou.business.PublicationTypeService;
import ch.unige.aou.business.ResearchGroupService;
import ch.unige.aou.business.StructureService;
import ch.unige.aou.service.rest.DuplicateService;

@Profile({ "test", "sec-noauth" })
@ExtendWith(SpringExtension.class)
public abstract class MetadataValidatorServiceTest extends MetadataTest {

  @Mock
  protected MessageService messageService;
  @Mock
  protected PublicationTypeService publicationTypeService;
  @Mock
  protected PublicationSubtypeService publicationSubtypeService;
  @Mock
  protected PublicationSubSubtypeService publicationSubSubtypeService;
  @Mock
  protected ResearchGroupService researchGroupService;
  @Mock
  protected StructureService structureService;
  @Mock
  protected DuplicateService duplicateService;

  public void setUp() {
    super.setUp();
  }
}
