package ch.unige.aou.listener;

import javax.persistence.PostPersist;
import javax.persistence.PostUpdate;

import ch.unige.solidify.config.SolidifyEventPublisher;

import ch.unige.aou.model.publication.DocumentFile;

public class DocumentFileEntityListener {

  @PostPersist
  @PostUpdate
  private void publishEvent(DocumentFile documentFile) {
    SolidifyEventPublisher.getPublisher().publishEvent(documentFile);
  }
}
