package ch.unige.aou.model.publication;

import java.time.LocalDate;
import java.util.Objects;

import com.fasterxml.jackson.annotation.JsonFormat;

import ch.unige.solidify.util.StringTool;

public class MetadataEmbargo {

  private String accessLevel;

  @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = StringTool.DATE_FORMAT)
  private LocalDate endDate;

  public String getAccessLevel() {
    return this.accessLevel;
  }

  public void setAccessLevel(String accessLevel) {
    this.accessLevel = accessLevel;
  }

  public LocalDate getEndDate() {
    return this.endDate;
  }

  public void setEndDate(LocalDate endDate) {
    this.endDate = endDate;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o)
      return true;
    if (!(o instanceof MetadataEmbargo))
      return false;
    MetadataEmbargo embargo = (MetadataEmbargo) o;
    return this.accessLevel == embargo.accessLevel &&
            Objects.equals(this.endDate, embargo.endDate);
  }
}
