package ch.unige.aou.model.publication;

import java.math.BigInteger;
import java.util.Objects;


public class MetadataFile {
  private String resId;
  private String type;
  private String name;
  private BigInteger size;
  private String mimeType;
  private String license;
  private String label;
  private String accessLevel;
  private MetadataEmbargo embargo;

  public String getResId() {
    return this.resId;
  }

  public void setResId(String resId) {
    this.resId = resId;
  }

  public String getType() {
    return this.type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public BigInteger getSize() {
    return this.size;
  }

  public void setSize(BigInteger size) {
    this.size = size;
  }

  public String getMimeType() {
    return this.mimeType;
  }

  public void setMimeType(String mimeType) {
    this.mimeType = mimeType;
  }

  public String getLicense() {
    return this.license;
  }

  public void setLicense(String license) {
    this.license = license;
  }

  public String getLabel() {
    return this.label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public String getAccessLevel() {
    return this.accessLevel;
  }

  public void setAccessLevel(String accessLevel) {
    this.accessLevel = accessLevel;
  }

  public MetadataEmbargo getEmbargo() {
    return this.embargo;
  }

  public void setEmbargo(MetadataEmbargo embargo) {
    this.embargo = embargo;
  }

  @Override
  public boolean equals(final Object o) {
    if (this == o)
      return true;
    if (!(o instanceof MetadataFile))
      return false;
    final MetadataFile castOther = (MetadataFile) o;
    return Objects.equals(this.type, castOther.type) && Objects.equals(this.name, castOther.name)
            && Objects.equals(this.size, castOther.size) && Objects.equals(this.mimeType, castOther.mimeType)
            && Objects.equals(this.license, castOther.license) && Objects.equals(this.label, castOther.label)
            && Objects.equals(this.accessLevel, castOther.accessLevel) && Objects.equals(this.embargo, castOther.embargo);
  }
}
