package ch.unige.aou.model.publication;

import java.util.Objects;

public class MetadataLink {

  public enum LinkType {INTERNAL, WEB}

  String target;
  MetadataTextLang description;
  LinkType type;

  public String getTarget() {
    return this.target;
  }

  public void setTarget(String target) {
    this.target = target;
  }

  public MetadataTextLang getDescription() {
    return this.description;
  }

  public void setDescription(MetadataTextLang description) {
    this.description = description;
  }

  public LinkType getType() {
    return this.type;
  }

  public void setType(LinkType type) {
    this.type = type;
  }


  @Override
  public boolean equals(final Object other) {
    if (!(other instanceof MetadataLink)) {
      return false;
    }
    final MetadataLink castOther = (MetadataLink) other;
    return Objects.equals(this.target, castOther.target) && Objects.equals(this.type, castOther.type)
            && Objects.equals(this.description, castOther.description);
  }

}
