package ch.unige.aou.model.xml.deposit.v2_3.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_3.Classifications;

public class ClassificationsSerializer extends StdSerializer<Classifications> {
  public ClassificationsSerializer() {
    this(null);
  }

  public ClassificationsSerializer(Class<Classifications> t) {
    super(t);
  }

  @Override
  public void serialize(Classifications value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getClassification());
  }
}
