package ch.unige.aou.controller;

import org.springframework.http.HttpEntity;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;

import ch.unige.solidify.controller.ModuleController;
import ch.unige.solidify.model.Module;

public abstract class AouAsyncConfig extends ModuleController {

  AouAsyncConfig(String name) {
    super(name);
  }

  @Override
  public HttpEntity<Module> home() {
    final Module module = super.home().getBody();
    return new ResponseEntity<>(module, HttpStatus.OK);
  }

}
