package ch.unige.aou.service.rest.abstractservice;

import ch.unige.solidify.rest.Resource;
import ch.unige.solidify.service.RemoteResourceService;
import ch.unige.solidify.service.SolidifyRestClientService;

import ch.unige.aou.config.AouProperties;

public abstract class AdminRemoteResourceService<T extends Resource> extends RemoteResourceService<T> {
  final protected String adminModuleUrl;

  protected AdminRemoteResourceService(SolidifyRestClientService restClientService, AouProperties aouProperties) {
    super(restClientService);

    this.adminModuleUrl = aouProperties.getModule().getAdmin().getUrl();
  }
}
