package ch.unige.aou.repository;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.controller.AdminController;
import ch.unige.aou.model.publication.ContributorRole;

@Repository
@ConditionalOnBean(AdminController.class)
public interface ContributorRoleRepository extends SolidifyRepository<ContributorRole> {
  ContributorRole findByValue(String value);
}
