package ch.unige.aou.repository;

import java.util.List;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.controller.AdminController;
import ch.unige.aou.model.notification.Event;

@Repository
@ConditionalOnBean(AdminController.class)
public interface EventRepository extends SolidifyRepository<Event> {
  Event findByMessage(String message);

  List<Event> findByTriggerByResId(String personId);
}
