package ch.unige.aou.repository;

import java.util.Optional;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.controller.AdminController;
import ch.unige.aou.model.search.StoredSearch;

@Repository
@ConditionalOnBean(AdminController.class)
public interface StoredSearchRepository extends SolidifyRepository<StoredSearch> {

  Optional<StoredSearch> findByNameAndCreatorResId(String name, String creatorId);

}
