package ch.unige.aou.service.metadata;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Service;

import ch.unige.solidify.service.MessageService;

import ch.unige.aou.controller.AdminController;

@Service
@ConditionalOnBean(AdminController.class)
public class MetadataComparatorV2 extends MetadataDifferencesService {

  public MetadataComparatorV2(MetadataExtractorV2 metadataExtractorV2, MessageService messageService) {
    super(metadataExtractorV2, messageService);
  }
}
