package ch.unige.aou.service.security;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Service;

import ch.unige.aou.AouConstants;
import ch.unige.aou.business.PersonService;
import ch.unige.aou.controller.AdminController;
import ch.unige.aou.model.settings.Person;

@Service("personPermissionService")
@ConditionalOnBean(AdminController.class)
public class PersonPermissionService extends AbstractAdminPermissionService {

  public PersonPermissionService(PersonService personService) {
    super(personService);
  }
}
