package ch.unige.aou.message.cache;

import ch.unige.solidify.message.CacheMessage;

public class PersonStructureCacheMessage extends CacheMessage {

  private static final long serialVersionUID = 1L;

  protected String structureId;
  protected String personId;
  protected String roleId;

  /******************/

  public PersonStructureCacheMessage(String structureId, String personId, String roleId) {
    this.personId = personId;
    this.structureId = structureId;
    this.roleId = roleId;
  }

  public String getStructureId() {
    return this.structureId;
  }

  /******************/

  public String getPersonId() {
    return this.personId;
  }

  public String getRoleId() {
    return this.roleId;
  }

  @Override
  public String toString() {
    return "CacheMessage [resourceClass=UserStructure, personId=" + this.personId + ", structureId="
            + this.structureId + ", role=" + this.roleId + "]";
  }
}
