package ch.unige.aou.model.display;

import ch.unige.solidify.rest.JoinResourceContainer;
import ch.unige.solidify.rest.ResourceBase;
import ch.unige.solidify.util.ReflectionTool;

import ch.unige.aou.model.publication.PublicationStructure;
import ch.unige.aou.model.settings.Structure;

public class StructureWithJoinInfosDTO extends Structure implements JoinResourceContainer<PublicationStructure> {

  PublicationStructure joinResource;

  public StructureWithJoinInfosDTO() {
    // empty constructor useful for Json deserialization
  }

  public StructureWithJoinInfosDTO(PublicationStructure publicationStructure) {
    ReflectionTool.copyFields(this, publicationStructure.getStructure(), ResourceBase.class);
    this.add(publicationStructure.getStructure().getLinks());
    this.joinResource = publicationStructure;
  }

  @Override
  public PublicationStructure getJoinResource() {
    return this.joinResource;
  }
}
