package ch.unige.aou.model.publication;

import java.util.Objects;

public class MetadataClassification {
  private String code;
  private String item;

  public MetadataClassification() {

  }

  public MetadataClassification(String code, String item) {
    this.code = code;
    this.item = item;
  }

  public String getCode() {
    return this.code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public String getItem() {
    return this.item;
  }

  public void setItem(String item) {
    this.item = item;
  }

  @Override
  public boolean equals(final Object other) {
    if (!(other instanceof MetadataClassification)) {
      return false;
    }
    final MetadataClassification castOther = (MetadataClassification) other;
    return Objects.equals(this.code, castOther.code) && Objects.equals(this.item, castOther.item);
  }
}

