package ch.unige.aou.model.publication;

import java.util.Objects;

public class MetadataCorrection {
  private String doi;
  private String pmid;
  private String note;

  public String getDoi() {
    return this.doi;
  }

  public void setDoi(String doi) {
    this.doi = doi;
  }

  public String getPmid() {
    return this.pmid;
  }

  public void setPmid(String pmid) {
    this.pmid = pmid;
  }

  public String getNote() {
    return this.note;
  }

  public void setNote(String note) {
    this.note = note;
  }

  @Override
  public boolean equals(final Object other) {
    if (!(other instanceof MetadataCorrection)) {
      return false;
    }
    final MetadataCorrection castOther = (MetadataCorrection) other;
    return Objects.equals(this.doi, castOther.doi) && Objects.equals(this.pmid, castOther.pmid)
            && Objects.equals(this.note, castOther.note);
  }
}
