package ch.unige.aou.model.publication;

import java.util.Objects;

public class MetadataTextLang {
  private String content;
  private String lang;

  public MetadataTextLang(String content, String lang) {
    this.content = content;
    this.lang = lang;
  }

  public String getContent() {
    return this.content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public String getLang() {
    return this.lang;
  }

  public void setLang(String lang) {
    this.lang = lang;
  }

  @Override
  public boolean equals(final Object other) {
    if (!(other instanceof MetadataTextLang)) {
      return false;
    }
    final MetadataTextLang castOther = (MetadataTextLang) other;
    return Objects.equals(this.content, castOther.content) && Objects.equals(this.lang, castOther.lang);
  }

}
