package ch.unige.aou.model.publication;

import java.io.Serializable;

public class PublicationSubSubtypeDTO implements Serializable {
  private String resId;
  private String name;
  private PublicationSubtypeDTO subtype;

  public PublicationSubSubtypeDTO() {
  }

  public PublicationSubSubtypeDTO(PublicationSubSubtype subSubtype){
    if(subSubtype != null){
      this.setResId(subSubtype.getResId());
      this.setName(subSubtype.getName());
      this.setSubtype(new PublicationSubtypeDTO(subSubtype.getPublicationSubtype()));
    }
  }

  public String getResId() {
    return resId;
  }

  public void setResId(String resId) {
    this.resId = resId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public PublicationSubtypeDTO getSubtype() {
    return subtype;
  }

  public void setSubtype(PublicationSubtypeDTO subtype) {
    this.subtype = subtype;
  }
}
