package ch.unige.aou.model.xml.deposit.v2_4.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_4.Contributor;

public class ContributorSerializer extends StdSerializer<Contributor> {
  public ContributorSerializer() {
    this(null);
  }

  public ContributorSerializer(Class<Contributor> t) {
    super(t);
  }

  @Override
  public void serialize(Contributor value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObjectFieldStart("contributor");
    jgen.writeObject(value);
    jgen.writeEndObject();
  }
}
