package ch.unige.aou.specification;

import java.util.List;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;

import ch.unige.solidify.model.SolidifyApplicationRole;
import ch.unige.solidify.specification.SolidifySpecification;

public class AouApplicationRoleSpecification extends SolidifySpecification<SolidifyApplicationRole> {

  public AouApplicationRoleSpecification(SolidifyApplicationRole criteria) {
    super(criteria);
  }

  @Override
  protected void completePredicatesList(Root<SolidifyApplicationRole> root, CriteriaQuery<?> query, CriteriaBuilder builder,
          List<Predicate> predicatesList) {
    if (this.criteria.getName() != null) {
      predicatesList.add(builder.like(root.get("name"), "%" + this.criteria.getName() + "%"));
    }
  }
}
