package ch.unige.aou.business;

import java.security.Principal;

import org.springframework.context.annotation.Primary;
import org.springframework.context.annotation.Profile;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Service;

import ch.unige.solidify.rest.Resource;

@Profile({ "test", "sec-noauth" })
@Primary
@Service
public class TestAouSpecificationPermissionsFilter<T extends Resource> implements SpecificationPermissionsFilter<T> {

  @Override
  public Specification<T> addPermissionsFilter(Specification<T> spec, Principal principal) {

    /*
     * Do not complete Specification when application is run with no security
     */

    return spec;
  }
}
