package ch.unige.aou.service.rest.abstractservice;

import ch.unige.solidify.rest.Resource;
import ch.unige.solidify.service.RemoteResourceService;
import ch.unige.solidify.service.SolidifyRestClientService;

import ch.unige.aou.config.AouProperties;

public abstract class DataMgmtRemoteResourceService<T extends Resource> extends RemoteResourceService<T> {
  final protected String dataMgmtModuleUrl;

  protected DataMgmtRemoteResourceService(SolidifyRestClientService restClientService, AouProperties aouProperties) {
    super(restClientService);

    this.dataMgmtModuleUrl = aouProperties.getModule().getDataMgmt().getUrl();
  }
}
