package ch.unige.aou.service.rest.abstractservice;

import ch.unige.solidify.service.SolidifyRestClientService;

import ch.unige.aou.config.AouProperties;
import ch.unige.aou.model.search.StoredSearch;
import ch.unige.aou.rest.ResourceName;

public abstract class StoredSearchRemoteResourceService extends AdminRemoteResourceService<StoredSearch> {

  protected StoredSearchRemoteResourceService(SolidifyRestClientService restClientService, AouProperties aouProperties) {
    super(restClientService, aouProperties);
  }

  @Override
  protected Class<StoredSearch> getResourceClass() {
    return StoredSearch.class;
  }

  @Override
  protected String getResourceUrl() {
    return this.adminModuleUrl + "/" + ResourceName.STORED_SEARCHES;
  }
}
